function [X, LL] = B_parts(Data_DP,Data_T1,Data_T2,Draws,StartingValues,eta_distr,mp,masspoint)

%%%%%%%%%%
% Output %
%%%%%%%%%%
% x: parameter estimates
% ll: log likelihood
% change options for optimization
MaxFunEvals = 100000;
options = optimset('Display', 'iter','MaxFunEvals',MaxFunEvals,'LargeScale', 'off');

if mp==0
    halton = haltonset(2,'Skip',1e3,'Leap',1e2);
    halton = scramble(halton,'RR2');
    uniform_r=halton(1:Draws,1);
    uniform_eta=halton(1:Draws,2);
    uniform_p=0;
elseif mp==1
    halton = haltonset(3,'Skip',1e3,'Leap',1e2);
    halton = scramble(halton,'RR2');
    uniform_r=halton(1:Draws,1);
    uniform_eta=halton(1:Draws,2);
    uniform_p=halton(1:Draws,3);
end

%%%%%%%%%  PART 1
% starting values part 1
start=[StartingValues(1,1);StartingValues(2,1);StartingValues(3,1);StartingValues(4,1)];

% optimization part 1
[x1, ll1] = fminunc(@C_lik1,start,options,Data_DP,uniform_r);





%%%%%%%%%  PART 2

% starting values part 2
if mp==0
    start=[x1(3,1);x1(4,1);StartingValues(7,1);StartingValues(8,1)];
elseif mp==1
    start=[x1(3,1);x1(4,1);StartingValues(7,1);StartingValues(8,1);0.5];
end

grid=1000;

%Preliminary computations: Draws of r
r=norminv(uniform_r,x1(1,1),x1(2,1));

% optimization part 2
[x2, ll2] = fminsearch(@C_lik2,start,options,Data_T1,Data_T2,r,uniform_eta,eta_distr,mp,masspoint,grid,uniform_p);


%Everything together
X=[x1;x2];
LL=[ll1;ll2];

