function f = C_lik2(x,Data_T1,Data_T2,r,uniform_eta,eta_distr,mp,masspoint,grid,uniform_p)
Draws=size(r,1);
%Matrix with possible thresholds.
for k=1:16
    threshold(k,1)=4.75-(k-1)*.25;
end

%Data: computing the probability of each threshold in the data

Subjects1=size(Data_T1,1);

lik_data1=zeros(16,1);

for k=1:16
    for i=1:Subjects1
        if Data_T1(i,1)==threshold(k,1)
            lik_data1(k,1)=lik_data1(k,1)+1;
        end
    end
end

%Theoretical predictions

probT1=Z_probT1(x(1,1),x(2,1),r,0.25);

lik_sim1(:,:)=log((sum(probT1,1)/Draws)');

f1=-sum(lik_sim1.*lik_data1);

%Data: computing the probability of each threshold in the data

Subjects2=size(Data_T2,1);

lik_data2=zeros(16,1);

for k=1:16
    for i=1:Subjects2
        if Data_T2(i,1)==threshold(k,1)
            lik_data2(k,1)=lik_data2(k,1)+1;
        end
    end
end

%Theoretical predictions

if eta_distr==1
    E=norminv(uniform_eta,x(3,1),x(4,1));
    eta=exp(E);
    clear E
    
    if mp==1
        eta1=eta;
        eta2=(ones(Draws,1).*(masspoint));
            for j = 1:Draws
                if uniform_p(j,1)>=abs(x(5,1))
                    eta(j,:)=eta1(j,:);
                else
                    eta(j,:)=eta2(j,:);
                end
            end
    end 

elseif eta_distr==2    
    junk1=normcdf((0-x(3,1))/x(4,1));
    junk2=uniform_eta*(1-junk1)+junk1;
    eta=norminv(junk2)*x(4,1)+x(3,1);
    clear junk1 junk2
    
    if mp==1
        eta1=eta;
        eta2=(ones(Draws,1).*(masspoint));
            for j = 1:Draws
                if uniform_p(j,1)>=abs(x(5,1))
                    eta(j,:)=eta1(j,:);
                else
                    eta(j,:)=eta2(j,:);
                end
            end
    end            
end

[z_grid,pA]=Z_pA(r,grid);

[Th,tau]=Z_star_Th(r,eta,z_grid,pA,grid);

probT2=Z_probT2(x(1,1),x(2,1),Th,tau);

lik_sim2(:,:)=log((sum(probT2,1)/Draws)');

f2=-sum(lik_sim2.*lik_data2);

f=f1+f2;

