function [obs,pred] = Z_obs_pred(x,Data_T1,Data_T2,r,grid,uniform_eta,eta_distr)
Draws=size(r,1);
%Matrix with possible thresholds.
for k=1:16
    threshold(k,1)=4.75-(k-1)*.25;
end

%Data: computing the probability of each threshold in the data

Subjects1=size(Data_T1,1);

lik_data1=zeros(16,1);

for k=1:16
    for i=1:Subjects1
        if Data_T1(i,1)==threshold(k,1)
            lik_data1(k,1)=lik_data1(k,1)+1;
        end
    end
end

%Theoretical predictions

probT1=Z_probT1(x(1,1),x(2,1),r,0.25);

lik_sim1(:,:)=(sum(probT1,1)/Draws)';

%Data: computing the probability of each threshold in the data

Subjects2=size(Data_T2,1);

lik_data2=zeros(16,1);

for k=1:16
    for i=1:Subjects2
        if Data_T2(i,1)==threshold(k,1)
            lik_data2(k,1)=lik_data2(k,1)+1;
        end
    end
end

%Theoretical predictions

if eta_distr==1
    E=norminv(uniform_eta,x(3,1),x(4,1));
    eta=exp(E);
    clear E

elseif eta_distr==2    
    junk1=normcdf((0-x(3,1))/x(4,1));
    junk2=uniform_eta*(1-junk1)+junk1;
    eta=norminv(junk2)*x(4,1)+x(3,1);
    clear junk1 junk2
end

[z_grid,pA]=Z_pA(r,grid);

[Th,tau]=Z_star_Th(r,eta,z_grid,pA,grid);

probT2=Z_probT2(x(1,1),x(2,1),Th,tau);

lik_sim2(:,:)=(sum(probT2,1)/Draws)';

obs=[lik_data1/Subjects1;lik_data2/Subjects2];
pred=[lik_sim1;lik_sim2];


