function x=Z_star_x(r,z)

%This code computes the steady state value of x for given r and z in the no
%selection treatment
    
%ind is an indicator matrix that creates a row with a value of 1 in case
%the draw of r is 1 (in which case the CRRA function is the log)

    ind(:,1)=(r(:,1)==1);

    %x_t1 computes the optimal continuous x given z and r. 

    x_cont=ind.*exp(z.*log(5))+(1-ind).*(z.*(5.^(1-r))+(1-z)).^(1./(1-r));

    %For given values of x_cont this code produces the corresponding
    %threshold in {1,...,4.75}

    junk=floor(max(min((x_cont-1)/0.25+1,16),1));

    x=((junk-1)*.25)+1;
    
