%Tables in paper
clear

load Output_100
load Output_70
load Output_80
load Output_90
load Output_75
load Output_85
load Output_95


%Computing mean and median reported in the text for T=90
eta_mean_90=(normpdf((0-x_90(7,1))/x_90(8,1))/(1-normcdf((0-x_90(7,1))/x_90(8,1))))*x_90(8,1)+x_90(7,1);

pd=makedist('Normal','mu',x_90(7,1),'sigma',x_90(8,1));
t=truncate(pd,0,inf);
r = random(t,10000,1);
eta_median_90=median(r);
clear pd r t

%Table 4: Upper panel
x2_90(7,1)=(normpdf((0-x_90(7,1))/x_90(8,1))/(1-normcdf((0-x_90(7,1))/x_90(8,1))))*x_90(8,1)+x_90(7,1);
x2_90(8,1)=(x_90(8,1)*(1+(normpdf((0-x_90(7,1))/x_90(8,1))/(1-normcdf((0-x_90(7,1))/x_90(8,1))))-(normpdf((0-x_90(7,1))/x_90(8,1))/(1-normcdf((0-x_90(7,1))/x_90(8,1))))^2));
x2_M90(7,:)=(normpdf((0-x_M90(7,:))/x_M90(8,:))/(1-normcdf((0-x_M90(7,:))/x_M90(8,:))))*x_M90(8,:)+x_M90(7,:);
x2_M90(8,:)=(x_M90(8,:)*(1+(normpdf((0-x_M90(7,:))/x_M90(8,:))/(1-normcdf((0-x_M90(7,:))/x_M90(8,:))))-(normpdf((0-x_M90(7,:))/x_M90(8,:))/(1-normcdf((0-x_M90(7,:))/x_M90(8,:))))^2));
col1=[x2_90(7,1);x2_90(8,1);x_90(1,1);x_90(2,1);x_90(3,1);x_90(4,1);x_90(5,1);x_90(6,1)];
col2=[std(x2_M90(7,:));std(x2_M90(8,:));std(x_M90(1,:));std(x_M90(2,:));std(x_M90(3,:));std(x_M90(4,:));std(x_M90(5,:));std(x_M90(6,:))];
col3=[prctile(x2_M90(7,:),2.5);prctile(x2_M90(8,:),2.5);prctile(x_M90(1,:),2.5);prctile(x_M90(2,:),2.5);prctile(x_M90(3,:),2.5);prctile(x_M90(4,:),2.5);prctile(x_M90(5,:),2.5);prctile(x_M90(6,:),2.5)];
col4=[prctile(x2_M90(7,:),97.5);prctile(x2_M90(8,:),97.5);prctile(x_M90(1,:),97.5);prctile(x_M90(2,:),97.5);prctile(x_M90(3,:),97.5);prctile(x_M90(4,:),97.5);prctile(x_M90(5,:),97.5);prctile(x_M90(6,:),97.5)];
table4_upper=[col1,col2,col3,col4];
clear col*

%Table 4: Lower panel
Draws=1000;

eta_70=[];
for i=1:Draws
    pd=makedist('Normal','mu',x_M70(7,i),'sigma',x_M70(8,i));
    t=truncate(pd,0,inf);
    r = random(t,10000,1);
    eta_70(i,1)=median(r);
end
clear pd r t

eta_75=[];
for i=1:Draws
    pd=makedist('Normal','mu',x_M75(7,i),'sigma',x_M75(8,i));
    t=truncate(pd,0,inf);
    r = random(t,10000,1);
    eta_75(i,1)=median(r);
end
clear pd r t

eta_80=[];
for i=1:Draws
    pd=makedist('Normal','mu',x_M80(7,i),'sigma',x_M80(8,i));
    t=truncate(pd,0,inf);
    r = random(t,10000,1);
    eta_80(i,1)=median(r);
end
clear pd r t

eta_85=[];
for i=1:Draws
    pd=makedist('Normal','mu',x_M85(7,i),'sigma',x_M85(8,i));
    t=truncate(pd,0,inf);
    r = random(t,10000,1);
    eta_85(i,1)=median(r);
end
clear pd r t

eta_90=[];
for i=1:Draws
    pd=makedist('Normal','mu',x_M90(7,i),'sigma',x_M90(8,i));
    t=truncate(pd,0,inf);
    r = random(t,10000,1);
    eta_90(i,1)=median(r);
end
clear pd r t

eta_95=[];
for i=1:Draws
    pd=makedist('Normal','mu',x_M95(7,i),'sigma',x_M95(8,i));
    t=truncate(pd,0,inf);
    r = random(t,10000,1);
    eta_95(i,1)=median(r);
end
clear pd r t

eta_100=[];
for i=1:Draws
    pd=makedist('Normal','mu',x_M100(7,i),'sigma',x_M100(8,i));
    t=truncate(pd,0,inf);
    r = random(t,10000,1);
    eta_100(i,1)=median(r);
end
clear pd r t

table4_bottom=[prctile(eta_70,2.5),prctile(eta_75,2.5),prctile(eta_80,2.5),prctile(eta_85,2.5),prctile(eta_90,2.5),prctile(eta_95,2.5),prctile(eta_100,2.5); prctile(eta_70,5),prctile(eta_75,5),prctile(eta_80,5),prctile(eta_85,5),prctile(eta_90,5),prctile(eta_95,5),prctile(eta_100,5); prctile(eta_70,25),prctile(eta_75,25),prctile(eta_80,25),prctile(eta_85,25),prctile(eta_90,25),prctile(eta_95,25),prctile(eta_100,25); prctile(eta_70,50),prctile(eta_75,50),prctile(eta_80,50),prctile(eta_85,50),prctile(eta_90,50),prctile(eta_95,50),prctile(eta_100,50); prctile(eta_70,75),prctile(eta_75,75),prctile(eta_80,75),prctile(eta_85,75),prctile(eta_90,75),prctile(eta_95,75),prctile(eta_100,75) ; prctile(eta_70,95),prctile(eta_75,95),prctile(eta_80,95),prctile(eta_85,95),prctile(eta_90,95),prctile(eta_95,95),prctile(eta_100,95); prctile(eta_70,97.5),prctile(eta_75,97.5),prctile(eta_80,97.5),prctile(eta_85,97.5),prctile(eta_90,97.5),prctile(eta_95,97.5),prctile(eta_100,97.5)];
table4_bottom=[table4_bottom(:,7),table4_bottom(:,6),table4_bottom(:,5),table4_bottom(:,4),table4_bottom(:,3),table4_bottom(:,2),table4_bottom(:,1)];


%Appendix Table 7 (Mean of eta)

eta_mean_70M=(normpdf((0-x_M70(7,:))/x_M70(8,:))/(1-normcdf((0-x_M70(7,:))/x_M70(8,:))))*x_M70(8,:)+x_M70(7,:);
eta_mean_75M=(normpdf((0-x_M75(7,:))/x_M75(8,:))/(1-normcdf((0-x_M75(7,:))/x_M75(8,:))))*x_M75(8,:)+x_M75(7,:);
eta_mean_80M=(normpdf((0-x_M80(7,:))/x_M80(8,:))/(1-normcdf((0-x_M80(7,:))/x_M80(8,:))))*x_M80(8,:)+x_M80(7,:);
eta_mean_85M=(normpdf((0-x_M85(7,:))/x_M85(8,:))/(1-normcdf((0-x_M85(7,:))/x_M85(8,:))))*x_M85(8,:)+x_M85(7,:);
eta_mean_90M=(normpdf((0-x_M90(7,:))/x_M90(8,:))/(1-normcdf((0-x_M90(7,:))/x_M90(8,:))))*x_M90(8,:)+x_M90(7,:);
eta_mean_95M=(normpdf((0-x_M95(7,:))/x_M95(8,:))/(1-normcdf((0-x_M95(7,:))/x_M95(8,:))))*x_M95(8,:)+x_M95(7,:);
eta_mean_100M=(normpdf((0-x_M100(7,:))/x_M100(8,:))/(1-normcdf((0-x_M100(7,:))/x_M100(8,:))))*x_M100(8,:)+x_M100(7,:);

table7=[prctile(eta_mean_100M,2.5),prctile(eta_mean_95M,2.5),prctile(eta_mean_90M,2.5),prctile(eta_mean_85M,2.5),prctile(eta_mean_80M,2.5),prctile(eta_mean_75M,2.5),prctile(eta_mean_70M,2.5);prctile(eta_mean_100M,5),prctile(eta_mean_95M,5),prctile(eta_mean_90M,5),prctile(eta_mean_85M,5),prctile(eta_mean_80M,5),prctile(eta_mean_75M,5),prctile(eta_mean_70M,5);prctile(eta_mean_100M,25),prctile(eta_mean_95M,25),prctile(eta_mean_90M,25),prctile(eta_mean_85M,25),prctile(eta_mean_80M,25),prctile(eta_mean_75M,25),prctile(eta_mean_70M,25);prctile(eta_mean_100M,50),prctile(eta_mean_95M,50),prctile(eta_mean_90M,50),prctile(eta_mean_85M,50),prctile(eta_mean_80M,50),prctile(eta_mean_75M,50),prctile(eta_mean_70M,50);prctile(eta_mean_100M,75),prctile(eta_mean_95M,75),prctile(eta_mean_90M,75),prctile(eta_mean_85M,75),prctile(eta_mean_80M,75),prctile(eta_mean_75M,75),prctile(eta_mean_70M,75);prctile(eta_mean_100M,95),prctile(eta_mean_95M,95),prctile(eta_mean_90M,95),prctile(eta_mean_85M,95),prctile(eta_mean_80M,95),prctile(eta_mean_75M,95),prctile(eta_mean_70M,95);prctile(eta_mean_100M,97.5),prctile(eta_mean_95M,97.5),prctile(eta_mean_90M,97.5),prctile(eta_mean_85M,97.5),prctile(eta_mean_80M,97.5),prctile(eta_mean_75M,97.5),prctile(eta_mean_70M,97.5)];

%Appendix Table 8
clear

load OutputConv_15
load OutputConv_20
load OutputConv_25
load OutputConv_50

Draws=1000;

eta_15=[];
for i=1:Draws
    pd=makedist('Normal','mu',x_M15(7,i),'sigma',x_M15(8,i));
    t=truncate(pd,0,inf);
    r = random(t,10000,1);
    eta_15(i,1)=median(r);
end
clear pd r t

eta_20=[];
for i=1:Draws
    pd=makedist('Normal','mu',x_M20(7,i),'sigma',x_M20(8,i));
    t=truncate(pd,0,inf);
    r = random(t,10000,1);
    eta_20(i,1)=median(r);
end
clear pd r t

eta_25=[];
for i=1:Draws
    pd=makedist('Normal','mu',x_M25(7,i),'sigma',x_M25(8,i));
    t=truncate(pd,0,inf);
    r = random(t,10000,1);
    eta_25(i,1)=median(r);
end
clear pd r t

eta_50=[];
for i=1:Draws
    pd=makedist('Normal','mu',x_M50(7,i),'sigma',x_M50(8,i));
    t=truncate(pd,0,inf);
    r = random(t,10000,1);
    eta_50(i,1)=median(r);
end
clear pd r t

table8_bottom=[prctile(eta_15,2.5),prctile(eta_20,2.5),prctile(eta_25,2.5),prctile(eta_50,2.5); prctile(eta_15,5),prctile(eta_20,5),prctile(eta_25,5),prctile(eta_50,5); prctile(eta_15,25),prctile(eta_20,25),prctile(eta_25,25),prctile(eta_50,25); prctile(eta_15,50),prctile(eta_20,50),prctile(eta_25,50),prctile(eta_50,50); prctile(eta_15,75),prctile(eta_20,75),prctile(eta_25,75),prctile(eta_50,75) ; prctile(eta_15,95),prctile(eta_20,95),prctile(eta_25,95),prctile(eta_50,95); prctile(eta_15,97.5),prctile(eta_20,97.5),prctile(eta_25,97.5),prctile(eta_50,97.5)];


